# GESGroup

A GESGroup controls one or more GESContainer-s (usually GESClip-s, but it can also control other GESGroup-s). Its children must share the same GESTimeline, but can otherwise lie in separate GESLayer-s and have different timings.

To initialise a group, you may want to use ges_container_group, and similarly use ges_container_ungroup to dispose of it.

A group will maintain the relative start times of its children, as well as their relative layer priority. Therefore, if one of its children has its start set, all other children will have their start shifted by the same amount. Similarly, if one of its children moves to a new layer, the other children will also change layers to maintain the difference in their layer priorities. For example, if a child moves from a layer with priority 1 to a layer with priority 3, then another child that was in a layer with priority 0 will move to the layer with priority 2.

The start of a group refers to the earliest start time of its children. If the group's start is set, all the children will be shifted equally such that the earliest start time will match the set value. The duration of a group is the difference between the earliest start time and latest end time of its children. If the group's duration is increased, the children whose end time matches the end of the group will be extended accordingly. If it is decreased, then any child whose end time exceeds the new end time will also have their duration decreased accordingly.

A group may span several layers, but for methods such as ges_timeline_element_get_layer_priority and ges_timeline_element_edit a group is considered to have a layer priority that is the highest priority (numerically, the smallest) of all the layers it spans.

## GESGroup

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESContainer
                    ╰──GESGroup

### Members

`parent` (GESContainer) –
No description available

### Class structure

#### GESGroupClass

##### Fields

`parent_class` (GESContainerClass) –
No description available
`_ges_reserved` (gpointer *) –
No description available

### GES.GroupClass

##### Attributes

`parent_class` (GES.ContainerClass) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

### GES.GroupClass

##### Attributes

`parent_class` (GES.ContainerClass) –
No description available
`_ges_reserved` ([ object ]) –
No description available

## GES.Group

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Group

### Members

`parent` (GES.Container) –
No description available

## GES.Group

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Group

### Members

`parent` (GES.Container) –
No description available

### Constructors

#### ges_group_new

    GESGroup *
    ges_group_new ()

Created a new empty group. You may wish to use ges_container_group instead, which can return a different GESContainer subclass if possible.

Returns ( [transfer: floating]) –

The new empty group.

#### GES.Group.prototype.new

    function GES.Group.prototype.new(): {
        // javascript wrapper for 'ges_group_new'
    }

Created a new empty group. You may wish to use GES.Container.prototype.group instead, which can return a different GES.Container subclass if possible.

Returns (GES.Group) –

The new empty group.

#### GES.Group.new

    def GES.Group.new ():
        #python wrapper for 'ges_group_new'

Created a new empty group. You may wish to use GES.Container.group instead, which can return a different GES.Container subclass if possible.

Returns (GES.Group) –

The new empty group.

### Properties

#### duration

    “duration” guint64

An overwrite of the duration property. For a GESGroup, this is the difference between the earliest start time and the latest end time (given by start + duration) amongst its children.

Flags : Read / Write

#### duration

    “duration” Number

An overwrite of the duration property. For a GES.Group, this is the difference between the earliest start time and the latest end time (given by start + duration) amongst its children.

Flags : Read / Write

#### duration

    “self.props.duration” int

An overwrite of the duration property. For a GES.Group, this is the difference between the earliest start time and the latest end time (given by start + duration) amongst its children.

Flags : Read / Write

#### in-point

    “in-point” guint64

An overwrite of the in-point property. This has no meaning for a group and should not be set.

Flags : Read / Write

#### in-point

    “in-point” Number

An overwrite of the in-point property. This has no meaning for a group and should not be set.

Flags : Read / Write

#### in_point

    “self.props.in_point” int

An overwrite of the in_point property. This has no meaning for a group and should not be set.

Flags : Read / Write

#### max-duration

    “max-duration” guint64

An overwrite of the max-duration property. This has no meaning for a group and should not be set.

Flags : Read / Write / Construct

#### max-duration

    “max-duration” Number

An overwrite of the max-duration property. This has no meaning for a group and should not be set.

Flags : Read / Write / Construct

#### max_duration

    “self.props.max_duration” int

An overwrite of the max_duration property. This has no meaning for a group and should not be set.

Flags : Read / Write / Construct

#### priority

    “priority” guint

An overwrite of the priority property. Setting GESTimelineElement priorities is deprecated as all priority management is now done by GES itself.

Flags : Read / Write

#### priority

    “priority” Number

An overwrite of the priority property. Setting GES.TimelineElement priorities is deprecated as all priority management is now done by GES itself.

Flags : Read / Write

#### priority

    “self.props.priority” int

An overwrite of the priority property. Setting GES.TimelineElement priorities is deprecated as all priority management is now done by GES itself.

Flags : Read / Write

#### start

    “start” guint64

An overwrite of the start property. For a GESGroup, this is the earliest start time amongst its children.

Flags : Read / Write

#### start

    “start” Number

An overwrite of the start property. For a GES.Group, this is the earliest start time amongst its children.

Flags : Read / Write

#### start

    “self.props.start” int

An overwrite of the start property. For a GES.Group, this is the earliest start time amongst its children.

Flags : Read / Write

The results of the search are